Das Contao Camp 2020 in Hamburg. LEIDER ABGESAGT!
Ergebnis 1 bis 21 von 21

Thema: Erweiterung kann nicht installiert werden

  1. #1
    Contao-Nutzer
    Registriert seit
    29.03.2012.
    Beiträge
    37

    Standard Erweiterung kann nicht installiert werden

    Hallo zusammen,

    Die Erweiterung lief unter Contao 4.4.32 (zusammen mit allen anderen installierten Erweiterungen).
    Nach einem Update der installierten Erweiterungen per Contao-Manager "Pakete aktualisieren" läuft die Erweiterung calendar-extended-bundle nicht mehr.

    Die Contao-Manager-Konsole meldet:
    Code:
    Problem 1
        - kmielke/calendar-extended-bundle 1.0.4 requires terminal42/notification_center 1.4.* -> satisfiable by terminal42/notification_center[1.4.0, 1.4.1, 1.4.2, 1.4.3, 1.4.4, 1.4.5, 1.4.6, 1.4.x-dev] but these conflict with your requirements or minimum-stability.
        - kmielke/calendar-extended-bundle 1.0.3 requires terminal42/notification_center 1.4.* -> satisfiable by terminal42/notification_center[1.4.0, 1.4.1, 1.4.2, 1.4.3, 1.4.4, 1.4.5, 1.4.6, 1.4.x-dev] but these conflict with your requirements or minimum-stability.
        - kmielke/calendar-extended-bundle 1.0.2 requires terminal42/notification_center 1.4.* -> satisfiable by terminal42/notification_center[1.4.0, 1.4.1, 1.4.2, 1.4.3, 1.4.4, 1.4.5, 1.4.6, 1.4.x-dev] but these conflict with your requirements or minimum-stability.
        - kmielke/calendar-extended-bundle 1.0.1 requires terminal42/notification_center 1.4.* -> satisfiable by terminal42/notification_center[1.4.0, 1.4.1, 1.4.2, 1.4.3, 1.4.4, 1.4.5, 1.4.6, 1.4.x-dev] but these conflict with your requirements or minimum-stability.
        - kmielke/calendar-extended-bundle 1.0.0 requires terminal42/notification_center 1.4.* -> satisfiable by terminal42/notification_center[1.4.0, 1.4.1, 1.4.2, 1.4.3, 1.4.4, 1.4.5, 1.4.6, 1.4.x-dev] but these conflict with your requirements or minimum-stability.
        - Conclusion: don't install kmielke/calendar-extended-bundle 1.0.6
        - Installation request for kmielke/calendar-extended-bundle ^1.0 -> satisfiable by kmielke/calendar-extended-bundle[1.0.0, 1.0.1, 1.0.2, 1.0.3, 1.0.4, 1.0.5, 1.0.6].
        - Conclusion: don't install menatwork/contao-multicolumnwizard 3.3.16
        - kmielke/calendar-extended-bundle 1.0.5 requires menatwork/contao-multicolumnwizard-bundle 3.4.* -> satisfiable by menatwork/contao-multicolumnwizard-bundle[3.4.0, 3.4.1].
        - don't install menatwork/contao-multicolumnwizard-bundle 3.4.0|don't install menatwork/contao-multicolumnwizard 3.3.16
        - don't install menatwork/contao-multicolumnwizard-bundle 3.4.1|don't install menatwork/contao-multicolumnwizard 3.3.16
        - Installation request for menatwork/contao-multicolumnwizard (locked at 3.3.16) -> satisfiable by menatwork/contao-multicolumnwizard[3.3.16].
    Die composer.json:
    Code:
    {
        "type": "project",
        "require": {
            "codefog/contao-mobile_menu": "^2.7",
            "contao/calendar-bundle": "^4.4",
            "contao/comments-bundle": "^4.4",
            "contao/conflicts": "*@dev",
            "contao/faq-bundle": "^4.4",
            "contao/listing-bundle": "^4.4",
            "contao/manager-bundle": "4.4.*",
            "contao/news-bundle": "^4.4",
            "contao/newsletter-bundle": "^4.4",
            "heimrichhannot/dlh_googlemaps": "^2.3",
            "jrgregory/m17-sticky-backend-footer": "^2.0",
            "kmielke/calendar-extended-bundle": "^1.0",
            "ma3xl3/contao-easy-favicon": "^2.0",
            "madeyourday/contao-rocksolid-columns": "^2.0",
            "madeyourday/contao-rocksolid-custom-elements": "^2.2",
            "terminal42/contao-conditionalselectmenu": "^3.0",
            "terminal42/contao-leads": "^1.4",
            "terminal42/contao-pageimage": "^3.3",
            "terminal42/notification_center": "^1.5"
        },
        "extra": {
            "contao-component-dir": "assets"
        },
        "scripts": {
            "post-install-cmd": [
                "Contao\\ManagerBundle\\Composer\\ScriptHandler::initializeApplication"
            ],
            "post-update-cmd": [
                "Contao\\ManagerBundle\\Composer\\ScriptHandler::initializeApplication"
            ]
        }
    }
    Hat jemand eine Idee, was da falsch ist?

    Liebe Grüße & Danke

  2. #2
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    23.011
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Du musst alle Pakete zum Update markieren und dann die Aktualisierung durchführen.

  3. #3
    Contao-Nutzer
    Registriert seit
    29.03.2012.
    Beiträge
    37

    Standard

    Das hatte ich und habe ich jetzt nochmal gemacht. Die Erweiterung lässt sich nicht installieren.

    Habe jetzt zuerst menatwork/contao-multicolumnwizard installiert - dabei wurde dann die contao-multicolumnwizard": "^3.3" installiert.

    Code:
    kmielke/calendar-extended-bundle 1.0.5 requires menatwork/contao-multicolumnwizard-bundle 3.4.*
    Also muss ich wohl kmielke/calendar-extended-bundle 1.0.4 installieren. Funktioniert auch nicht
    Code:
    kmielke/calendar-extended-bundle 1.0.5 requires menatwork/contao-multicolumnwizard-bundle 3.4.* -> satisfiable by menatwork/contao-multicolumnwizard-bundle[3.4.0, 3.4.1].

  4. #4
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    23.011
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Du musst keine Abhängigkeiten manuell installieren. Markiere alle Pakete zum Update und führe eine Paket Aktualisierung durch.

  5. #5
    Contao-Nutzer
    Registriert seit
    29.03.2012.
    Beiträge
    37

    Standard

    Das hatte ich gemacht. Habe ich jetzt nochmal gemacht (diesmal nicht über den Button links oben "Pakete aktualisieren", sondern jede Erweiterung einzeln angeklickt):

    Code:
    Nothing to install or update
    Danach nochmal die Erweiterung kmielke/calendar-extended-bundle ausgewählt und versucht zu installieren. Fehlermeldung:

    Code:
    Problem 1
        - kmielke/calendar-extended-bundle 1.0.4 requires terminal42/notification_center 1.4.* -> satisfiable by terminal42/notification_center[1.4.0, 1.4.1, 1.4.2, 1.4.3, 1.4.4, 1.4.5, 1.4.6, 1.4.x-dev] but these conflict with your requirements or minimum-stability.
        - kmielke/calendar-extended-bundle 1.0.3 requires terminal42/notification_center 1.4.* -> satisfiable by terminal42/notification_center[1.4.0, 1.4.1, 1.4.2, 1.4.3, 1.4.4, 1.4.5, 1.4.6, 1.4.x-dev] but these conflict with your requirements or minimum-stability.
        - kmielke/calendar-extended-bundle 1.0.2 requires terminal42/notification_center 1.4.* -> satisfiable by terminal42/notification_center[1.4.0, 1.4.1, 1.4.2, 1.4.3, 1.4.4, 1.4.5, 1.4.6, 1.4.x-dev] but these conflict with your requirements or minimum-stability.
        - kmielke/calendar-extended-bundle 1.0.1 requires terminal42/notification_center 1.4.* -> satisfiable by terminal42/notification_center[1.4.0, 1.4.1, 1.4.2, 1.4.3, 1.4.4, 1.4.5, 1.4.6, 1.4.x-dev] but these conflict with your requirements or minimum-stability.
        - kmielke/calendar-extended-bundle 1.0.0 requires terminal42/notification_center 1.4.* -> satisfiable by terminal42/notification_center[1.4.0, 1.4.1, 1.4.2, 1.4.3, 1.4.4, 1.4.5, 1.4.6, 1.4.x-dev] but these conflict with your requirements or minimum-stability.
        - Conclusion: don't install kmielke/calendar-extended-bundle 1.0.6
        - Installation request for kmielke/calendar-extended-bundle ^1.0 -> satisfiable by kmielke/calendar-extended-bundle[1.0.0, 1.0.1, 1.0.2, 1.0.3, 1.0.4, 1.0.5, 1.0.6].
        - Conclusion: don't install menatwork/contao-multicolumnwizard 3.3.16
        - kmielke/calendar-extended-bundle 1.0.5 requires menatwork/contao-multicolumnwizard-bundle 3.4.* -> satisfiable by menatwork/contao-multicolumnwizard-bundle[3.4.0, 3.4.1].
        - don't install menatwork/contao-multicolumnwizard-bundle 3.4.0|don't install menatwork/contao-multicolumnwizard 3.3.16
        - don't install menatwork/contao-multicolumnwizard-bundle 3.4.1|don't install menatwork/contao-multicolumnwizard 3.3.16
        - Installation request for menatwork/contao-multicolumnwizard (locked at 3.3.16) -> satisfiable by menatwork/contao-multicolumnwizard[3.3.16].
    Ich bastel das Ganze wohl nochmal in einer ganz frischen Contao-Installation...

  6. #6
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    23.011
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Nein, du hast das falsch verstanden. Du musst das Paket hinzufügen und dann alle Pakete zum Update markieren.

  7. #7
    Contao-Nutzer
    Registriert seit
    29.03.2012.
    Beiträge
    37

    Standard

    DANKE!

    Damit konnte ich dann tatsächlich die Erweiterung installieren :-)

  8. #8
    Contao-Urgestein Avatar von Samson1964
    Registriert seit
    05.11.2012.
    Ort
    Berlin
    Beiträge
    2.462

    Standard

    Ich versuche gerade auch kmielke/calendar-extended-bundle unter 4.7 zu installieren. Leider steht der Button (Alle) "Pakete aktualisieren" im CM nach einem Fehler nicht zur Verfügung, weswegen man alle Pakete einzeln anklicken muß.
    Beim nachfolgendem Testlauf klappte alles, als ich dann "ernst" machte, wurde die Aktualisierung mit dieser Fehlermeldung abgebrochen und die Installation von Contao war zerschossen:
    Code:
    > Resolving dependencies using Composer Cloud v2.0.10
    
    # Job ID wPjBJizfRiB3y8nGp8oj8D4zPgD6BSEAhA24LmC7VTSriHMY2qVSO6nZzyk2Sbv0XP2tqMSukZCjl3t8vkVgUhG2U9vEncbxOtAlPEMDJ43xpTGwDO6ENZVLUGa4IUNM completed in 96 seconds
    # Memory usage: 754.75MB (peak: 2717.25MB), time: 94.6s.
    
    $ /usr/local/bin/php7.1.23-cli '-q' '/x/web/contao-manager.phar.php' 'composer' 'install' '--prefer-dist' '--no-dev' '--no-progress' '--no-suggest' '--no-ansi' '--no-interaction' '--optimize-autoloader' 2>&1
    
    Loading composer repositories with package information
    Installing dependencies from lock file
    Package operations: 6 installs, 1 update, 0 removals
      - Installing pimple/pimple (v1.1.1): Loading from cache
      - Installing contao-community-alliance/dependency-container (2.0.3): Loading from cache
      - Installing contao-community-alliance/event-dispatcher (2.0.5): Loading from cache
      - Installing contao-community-alliance/events-contao-bindings (4.4.4): Loading from cache
      - Installing contao-community-alliance/translator (2.1.3): Loading from cache
      - Removing menatwork/contao-multicolumnwizard (3.3.16)
      - Installing menatwork/contao-multicolumnwizard-bundle (3.4.1): Loading from cache
      - Installing kmielke/calendar-extended-bundle (1.0.6): Loading from cache
    Package phpoffice/phpexcel is abandoned, you should avoid using it. Use phpoffice/phpspreadsheet instead.
    Generating optimized autoload files
    contao/manager-plugin: Generating plugin class...
    contao/manager-plugin: ...done generating plugin class
    ocramius/package-versions:  Generating version class...
    ocramius/package-versions: ...done generating version class
    > Contao\ManagerBundle\Composer\ScriptHandler::initializeApplication
    
    In event_listeners.php line 23:
                                                                                   
      Attempted to load class "InitializeSystemEvent" from namespace "Netzmacht\C  
      ontao\Toolkit\Boot\Event".                                                   
      Did you forget a "use" statement for another namespace?                      
                                                                                   
    
    Script Contao\ManagerBundle\Composer\ScriptHandler::initializeApplication handling the post-install-cmd event terminated with an exception
    
    In ScriptHandler.php line 89:
                                                                                   
      An error occurred while executing the "contao:install-web-dir" command:      
      In event_listeners.php line 23:                                              
                                                                                   
                                                                                   
        Attempted to load class "InitializeSystemEvent" from namespace "Netzmacht  
      \C                                                                           
        ontao\Toolkit\Boot\Event".                                                 
                                                                                   
        Did you forget a "use" statement for another namespace?                    
                                                                                   
    
    install [--prefer-source] [--prefer-dist] [--dry-run] [--dev] [--no-dev] [--no-custom-installers] [--no-autoloader] [--no-scripts] [--no-progress] [--no-suggest] [-v|vv|vvv|--verbose] [-o|--optimize-autoloader] [-a|--classmap-authoritative] [--apcu-autoloader] [--ignore-platform-reqs] [--] [<packages>]...
    
    
    # Process terminated with exit code 1
    # Result: General error
    
    
    ---
    
    ### Der Hintergrundprozess wurde unerwartet beendet ###
    Ich bekam Reparatur und Abgesicherter Modus zur Auswahl. Ich wählte Letzteres und startete die Paketaktualisierung erneut. Mit folgendem Ergebnis:
    Code:
    > Resolving dependencies using Composer Cloud v2.0.10
    
    # Job ID xrMNBYtJRwNXObTjJpEdcdqdGypitf6TIv6S9ZXRq3yzOLP5azUJ1qOZZliHXw6Gx60ngqWBzkoRfY631bWKy6CJanmO672aw67nSGF8ysj completed in 98 seconds
    # Memory usage: 681.49MB (peak: 2448.58MB), time: 98.83s.
    
    $ /usr/local/bin/php7.1.23-cli '-q' '/x/web/contao-manager.phar.php' 'composer' 'install' '--prefer-dist' '--no-dev' '--no-progress' '--no-suggest' '--no-ansi' '--no-interaction' '--optimize-autoloader' 2>&1
    
    Loading composer repositories with package information
    Installing dependencies from lock file
    Nothing to install or update
    Package phpoffice/phpexcel is abandoned, you should avoid using it. Use phpoffice/phpspreadsheet instead.
    Generating optimized autoload files
    InvalidArgumentException: Config file "/x/contao-manager/composer-install.set.json" does not exist. in phar:///x/web/contao-manager.phar.php/vendor/terminal42/background-process/src/AbstractProcess.php:52
    Stack trace:
    #0 phar:///x/web/contao-manager.phar.php/vendor/terminal42/background-process/src/ProcessRunner.php(175): Terminal42\BackgroundProcess\AbstractProcess::readConfig('/kunden/107305_...')
    #1 phar:///x/web/contao-manager.phar.php/vendor/terminal42/background-process/src/ProcessRunner.php(106): Terminal42\BackgroundProcess\ProcessRunner->loadConfig()
    #2 phar:///x/web/contao-manager.phar.php/vendor/terminal42/background-process/src/ProcessRunner.php(53): Terminal42\BackgroundProcess\ProcessRunner->wait(1)
    #3 phar:///x/web/contao-manager.phar.php/vendor/terminal42/background-process/src/Command/ProcessRunnerCommand.php(36): Terminal42\BackgroundProcess\ProcessRunner->run()
    #4 phar:///x/web/contao-manager.phar.php/vendor/symfony/console/Command/Command.php(255): Terminal42\BackgroundProcess\Command\ProcessRunnerCommand->execute(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
    #5 phar:///x/web/contao-manager.phar.php/vendor/symfony/console/Application.php(987): Symfony\Component\Console\Command\Command->run(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
    #6 phar:///x/web/contao-manager.phar.php/vendor/symfony/console/Application.php(255): Symfony\Component\Console\Application->doRunCommand(Object(Terminal42\BackgroundProcess\Command\ProcessRunnerCommand), Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
    #7 phar:///x/web/contao-manager.phar.php/api/ApiApplication.php(76): Symfony\Component\Console\Application->doRun(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
    #8 phar:///x/web/contao-manager.phar.php/vendor/symfony/console/Application.php(148): Contao\ManagerApi\ApiApplication->doRun(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
    #9 phar:///x/web/contao-manager.phar.php/api/console(84): Symfony\Component\Console\Application->run(Object(Symfony\Component\Console\Input\ArgvInput))
    #10 /x/web/contao-manager.phar.php(54): require('phar:///kunden/...')
    #11 {main}
    # Process terminated with exit code 143
    # Result: Termination (request to terminate) [signal 15]
    
    
    ---
    
    ### Der Hintergrundprozess wurde unerwartet beendet ###
    Nach dem Start des CM wieder die Frage nach Reparatur oder Abgesicherter Modus. Ich wählte diesmal Reparatur. Ergebnis:
    Code:
    $ /usr/local/bin/php7.1.23-cli '-q' '/x/web/contao-manager.phar.php' 'composer' 'install' '--prefer-dist' '--no-dev' '--no-progress' '--no-suggest' '--no-ansi' '--no-interaction' '--optimize-autoloader' 2>&1
    
    Loading composer repositories with package information
    Installing dependencies from lock file
    Nothing to install or update
    Package phpoffice/phpexcel is abandoned, you should avoid using it. Use phpoffice/phpspreadsheet instead.
    Generating optimized autoload files
    InvalidArgumentException: Config file "/x/contao-manager/composer-install.set.json" does not exist. in phar:///x/web/contao-manager.phar.php/vendor/terminal42/background-process/src/AbstractProcess.php:52
    Stack trace:
    #0 phar:///x/web/contao-manager.phar.php/vendor/terminal42/background-process/src/ProcessRunner.php(175): Terminal42\BackgroundProcess\AbstractProcess::readConfig('/kunden/107305_...')
    #1 phar:///x/web/contao-manager.phar.php/vendor/terminal42/background-process/src/ProcessRunner.php(106): Terminal42\BackgroundProcess\ProcessRunner->loadConfig()
    #2 phar:///x/web/contao-manager.phar.php/vendor/terminal42/background-process/src/ProcessRunner.php(53): Terminal42\BackgroundProcess\ProcessRunner->wait(1)
    #3 phar:///x/web/contao-manager.phar.php/vendor/terminal42/background-process/src/Command/ProcessRunnerCommand.php(36): Terminal42\BackgroundProcess\ProcessRunner->run()
    #4 phar:///x/web/contao-manager.phar.php/vendor/symfony/console/Command/Command.php(255): Terminal42\BackgroundProcess\Command\ProcessRunnerCommand->execute(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
    #5 phar:///x/web/contao-manager.phar.php/vendor/symfony/console/Application.php(987): Symfony\Component\Console\Command\Command->run(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
    #6 phar:///x/web/contao-manager.phar.php/vendor/symfony/console/Application.php(255): Symfony\Component\Console\Application->doRunCommand(Object(Terminal42\BackgroundProcess\Command\ProcessRunnerCommand), Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
    #7 phar:///x/web/contao-manager.phar.php/api/ApiApplication.php(76): Symfony\Component\Console\Application->doRun(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
    #8 phar:///x/web/contao-manager.phar.php/vendor/symfony/console/Application.php(148): Contao\ManagerApi\ApiApplication->doRun(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
    #9 phar:///x/web/contao-manager.phar.php/api/console(84): Symfony\Component\Console\Application->run(Object(Symfony\Component\Console\Input\ArgvInput))
    #10 /x/web/contao-manager.phar.php(54): require('phar:///kunden/...')
    #11 {main}
    # Process terminated with exit code 143
    # Result: Termination (request to terminate) [signal 15]
    
    
    ---
    
    ### Der Hintergrundprozess wurde unerwartet beendet ###
    Jetzt komme ich erstmal nicht weiter. Die Contao-Installation bleibt kaputt. Zum Glück nur eine 1:1-Kopie des Webs nach meinen schlechten Erfahrungen.
    Viele Grüße
    Frank

    Seit Mai 2013 Fan von Contao
    Webmaster vom Deutschen Schachbund und Berliner Schachverband
    Mein Blog: Schachbulle
    Meine Erweiterungen bei GitHub
    Meine Videos auf YouTube: Playlist zur Contao-Programmierung/Einrichtung

  9. #9
    Administrator Avatar von xchs
    Registriert seit
    19.06.2009.
    Beiträge
    14.086
    User beschenken
    Wunschliste

    Standard

    Versuch mal contao-manager/* komplett zu löschen bis auf users.json und manager.json.
    Contao Community Administrator
    [Unterstützungsmöglichkeiten]

  10. #10
    Contao-Urgestein Avatar von Samson1964
    Registriert seit
    05.11.2012.
    Ort
    Berlin
    Beiträge
    2.462

    Standard

    Es bleibt dabei. Wieder wird ein fehlerhaftes Netzmacht\Contao\Toolkit\Boot\Event bemängelt. Vielleicht sollte ich das mal wieder versuchen zu installieren? Aber ich glaube der Versuch brachte auch im Juni nichts.
    Code:
    $ /usr/local/bin/php7.1.23-cli '-q' '/x/web/contao-manager.phar.php' 'composer' 'install' '--prefer-dist' '--no-dev' '--no-progress' '--no-suggest' '--no-ansi' '--no-interaction' '--optimize-autoloader' 2>&1
    
    Loading composer repositories with package information
    Installing dependencies from lock file
    Nothing to install or update
    Package phpoffice/phpexcel is abandoned, you should avoid using it. Use phpoffice/phpspreadsheet instead.
    Generating optimized autoload files
    contao/manager-plugin: Generating plugin class...
    contao/manager-plugin: ...done generating plugin class
    ocramius/package-versions:  Generating version class...
    ocramius/package-versions: ...done generating version class
    > Contao\ManagerBundle\Composer\ScriptHandler::initializeApplication
    
    In event_listeners.php line 23:
                                                                                   
      Attempted to load class "InitializeSystemEvent" from namespace "Netzmacht\C  
      ontao\Toolkit\Boot\Event".                                                   
      Did you forget a "use" statement for another namespace?                      
                                                                                   
    
    Script Contao\ManagerBundle\Composer\ScriptHandler::initializeApplication handling the post-install-cmd event terminated with an exception
    
    In ScriptHandler.php line 89:
                                                                                   
      An error occurred while executing the "contao:install-web-dir" command:      
      In event_listeners.php line 23:                                              
                                                                                   
                                                                                   
        Attempted to load class "InitializeSystemEvent" from namespace "Netzmacht  
      \C                                                                           
        ontao\Toolkit\Boot\Event".                                                 
                                                                                   
        Did you forget a "use" statement for another namespace?                    
                                                                                   
    
    install [--prefer-source] [--prefer-dist] [--dry-run] [--dev] [--no-dev] [--no-custom-installers] [--no-autoloader] [--no-scripts] [--no-progress] [--no-suggest] [-v|vv|vvv|--verbose] [-o|--optimize-autoloader] [-a|--classmap-authoritative] [--apcu-autoloader] [--ignore-platform-reqs] [--] [<packages>]...
    
    
    # Process terminated with exit code 1
    # Result: General error
    
    
    ---
    
    ### Der Hintergrundprozess wurde unerwartet beendet ###
    EDIT: Nach Entfernen von kmielke/calendar-extended-bundle habe ich erst einmal wieder eine funktionierende Installation. Ist das Bundle nicht kompatibel mit 4.7?
    Geändert von Samson1964 (07.07.2019 um 18:16 Uhr)
    Viele Grüße
    Frank

    Seit Mai 2013 Fan von Contao
    Webmaster vom Deutschen Schachbund und Berliner Schachverband
    Mein Blog: Schachbulle
    Meine Erweiterungen bei GitHub
    Meine Videos auf YouTube: Playlist zur Contao-Programmierung/Einrichtung

  11. #11
    AG Pressearbeit
    Community-Moderator
    Buchautor 'Contao für Webdesigner'
    Avatar von planepix
    Registriert seit
    05.06.2009.
    Ort
    Stuttgart
    Beiträge
    5.737
    Partner-ID
    107
    User beschenken
    Wunschliste

    Standard

    Eben unter 4.7.6 bei allinkl erfolgreich installiert.
    ---------------------------------
    Beste Grüße planepix
    Contao für Webdesigner (Website), Twitter: @contaowebdesign
    weitzeldesign
    Contao Schulungen: https://www.weitzeldesign.com/cms-co...chulungen.html
    Contao Jahrbuch: www.contao-jahrbuch.de
    Contao Agenturtag: www.contao-agenturtag.de
    Contao Stammtisch Stuttgart: www.contao-stammtisch-stuttgart.de
    Contao 4 Erfahrungen als Gitbook: https://planepix.gitbooks.io/erfahru...tao-4/content/
    Contao 4 & Manager Hosterhinweise: https://github.com/contao/contao-manager/wiki

    It's OpenSource. So invest with your code, your time to test and your support.

  12. #12
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    23.011
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Zu dem Fehler
    Code:
    InvalidArgumentException: Config file "/x/contao-manager/composer-install.set.json" does not exist. in phar:///x/web/contao-manager.phar.php/vendor/terminal42/background-process/src/AbstractProcess.php:52
    Stack trace:
    gibt es bereits ein paar Threads. Evt. sollte man da mal einen Bug Report auf GitHub eröffnen.

  13. #13
    Contao-Urgestein Avatar von Samson1964
    Registriert seit
    05.11.2012.
    Ort
    Berlin
    Beiträge
    2.462

    Standard

    Weder 1.0.5 noch dev-master des Bundles funktionieren. Immer derselbe Fehler mit dem suspekten Toolkit von Netzmacht. Version 1.0.4 läßt sich nicht installieren, da der Composer keine Abhängigkeiten zum NC auflösen konnte.
    composer.json der funktionierenden Installation ohne das Bundle:
    Code:
    {
        "type": "project",
        "require": {
            "bugbuster/contao-banner-bundle": "^1.0",
            "christianbarkowsky/tabcontrol": "^3.0",
            "codefog/contao-haste": "^4.23",
            "codefog/contao-news_categories": "^3.1",
            "codefog/contao-polls": "^1.6",
            "contao/calendar-bundle": "^4.7",
            "contao/comments-bundle": "^4.7",
            "contao/conflicts": "*@dev",
            "contao/faq-bundle": "^4.7",
            "contao/listing-bundle": "^4.7",
            "contao/manager-bundle": "4.7.*",
            "contao/news-bundle": "^4.7",
            "contao/newsletter-bundle": "^4.7",
            "craffft/contao-calendar-ical-bundle": "^4.0",
            "craffft/contao-photoalbums2": "^2.0",
            "craffft/contao-translation-fields": "^1.7",
            "do-while/contao-ce_be_remarks": "^1.0",
            "fritzmg/contao-backend-documentation": "^1.0",
            "fritzmg/contao-be-include-info": "^0.5.7",
            "inspiredminds/contao-facebook-login": "^2.0",
            "jrgregory/m17-sticky-backend-footer": "^2.0",
            "markocupic/backend_password": "^3.0",
            "netzmacht/contao-font-awesome-inserttag": "^2.0",
            "phpoffice/phpexcel": "^1.8",
            "psi/boxes4ward": "^2.0",
            "sioweb/glossar": "^2.0",
            "srhinow/themecontent-bundle": "^0.1.19",
            "stefansl/contao-divider-bundle": "^1.0",
            "terminal42/contao-inserttags": "^1.9",
            "terminal42/contao-leads": "^1.4",
            "terminal42/notification_center": "^1.5"
        },
        "extra": {
            "contao-component-dir": "assets"
        },
        "scripts": {
            "post-install-cmd": [
                "Contao\\ManagerBundle\\Composer\\ScriptHandler::initializeApplication"
            ],
            "post-update-cmd": [
                "Contao\\ManagerBundle\\Composer\\ScriptHandler::initializeApplication"
            ]
        }
    }
    Das Toolkit ist hier nicht aufgelistet und auch nicht unter vendor/netzmacht installiert. Vielleicht sollte ich es nochmal separat installieren.
    Viele Grüße
    Frank

    Seit Mai 2013 Fan von Contao
    Webmaster vom Deutschen Schachbund und Berliner Schachverband
    Mein Blog: Schachbulle
    Meine Erweiterungen bei GitHub
    Meine Videos auf YouTube: Playlist zur Contao-Programmierung/Einrichtung

  14. #14
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    23.011
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Zitat Zitat von Samson1964 Beitrag anzeigen
    Weder 1.0.5 noch dev-master des Bundles funktionieren. Immer derselbe Fehler mit dem suspekten Toolkit von Netzmacht.
    Du redest hier von zwei verschiedenen Fehlern. Der erste Fehler ist
    Code:
      Attempted to load class "InitializeSystemEvent" from namespace "Netzmacht\C  
      ontao\Toolkit\Boot\Event".                                                   
      Did you forget a "use" statement for another namespace?
    Dieser Fehler hat auch nichts mit dem ursprünglichen Thema zu tun.

    Der zweite Fehler ist ein gänzlich anderer Fehler, der durch die nicht erfolgreiche Installation der Extension verursacht wurde. Zu dem zweiten Fehler siehe #12.

  15. #15
    Contao-Urgestein Avatar von Samson1964
    Registriert seit
    05.11.2012.
    Ort
    Berlin
    Beiträge
    2.462

    Standard

    Zitat Zitat von planepix Beitrag anzeigen
    Eben unter 4.7.6 bei allinkl erfolgreich installiert.
    Würde mir wahrscheinlich auch in einer leeren 4.7.6 gelingen.
    Viele Grüße
    Frank

    Seit Mai 2013 Fan von Contao
    Webmaster vom Deutschen Schachbund und Berliner Schachverband
    Mein Blog: Schachbulle
    Meine Erweiterungen bei GitHub
    Meine Videos auf YouTube: Playlist zur Contao-Programmierung/Einrichtung

  16. #16
    AG Pressearbeit
    Community-Moderator
    Buchautor 'Contao für Webdesigner'
    Avatar von planepix
    Registriert seit
    05.06.2009.
    Ort
    Stuttgart
    Beiträge
    5.737
    Partner-ID
    107
    User beschenken
    Wunschliste

    Standard

    Zitat Zitat von Samson1964 Beitrag anzeigen
    Würde mir wahrscheinlich auch in einer leeren 4.7.6 gelingen.
    Nee die war voll :-) aber ohne ein Bundle von Netzmacht.

    Das ist die composer.json der besagten Installation:

    Code:
    {
        "name": "contao/managed-edition",
        "type": "project",
        "description": "Contao Open Source CMS",
        "license": "LGPL-3.0+",
        "authors": [
            {
                "name": "Leo Feyer",
                "homepage": "https://github.com/leofeyer"
            }
        ],
        "require": {
            "php": ">=5.5.0",
            "bastibuck/contao-backendhelper": "^1.3",
            "bugbuster/contao-botdetection-bundle": "^0.2.1",
            "bugbuster/contao-dlstats-bundle": "^1.0",
            "bugbuster/contao-visitors-bundle": "dev-master",
            "bwein-net/contao-database-backup": "^1.0",
            "cliffparnitzky/backend-custom-css": "^1.1",
            "cliffparnitzky/direct-content-elements": "^1.2",
            "codefog/contao-mobile_menu": "^2.6",
            "codefog/contao-news_categories": "^3",
            "contao/calendar-bundle": "4.7.*",
            "contao/comments-bundle": "4.7.*",
            "contao/conflicts": "*@dev",
            "contao/faq-bundle": "4.7.*",
            "contao/listing-bundle": "4.7.*",
            "contao/manager-bundle": "4.7.*",
            "contao/news-bundle": "4.7.*",
            "contao/newsletter-bundle": "4.7.*",
            "derhaeuptling/contao-seo-serp-preview": "^3.0",
            "do-while/contao-backupdb-bundle": "^1.2",
            "erdmannfreunde/contao-news-meta": "^1.0",
            "fritzmg/contao-sharebuttons": "^1.3",
            "fritzmg/contao-youtube-iframe": "^2.2",
            "georgpreissl/imagecrop": "^1.3",
            "hofff/contao-opengraph": "^3.2",
            "madeyourday/contao-rocksolid-columns": "^2.0",
            "madeyourday/contao-rocksolid-slider": "^2.0",
            "menatwork/contao-matomotrackingtag-bundle": "^1.0",
            "nerdlichter/contao-image-optimizer-bundle": "^1.0",
            "netzmacht/contao-font-awesome": "^4.7",
            "netzmacht/contao-language-editor": "^1.0",
            "numero2/contao-tinypng": "^4.0",
            "omosde/contao-om-backend": "^1.4",
            "oneup/contao-tags": "^4.0",
            "postyou/contao-webp-bundle": "^1.0",
            "presprog/contao-undo": "^1.0",
            "terminal42/contao-ce-access": "^2.0",
            "terminal42/contao-conditionalselectmenu": "^3.0",
            "terminal42/contao-easy_themes": "^2.2",
            "terminal42/contao-leads": "^1.4",
            "terminal42/notification_center": "^1.4",
            "trilobit-gmbh/contao-filecontent-bundle": "^1.0",
            "wangaz/contao-jquery-ui-tabs": "^1.1"
        },
        "conflict": {
            "lexik/maintenance-bundle": "2.1.4",
            "symfony/symfony": "3.4.8|4.0.8",
            "doctrine/dbal": "2.9.1|2.9.2"
        },
        "config": {
            "extra.contao-component-dir": "assets"
        },
        "scripts": {
            "post-install-cmd": [
                "Contao\\ManagerBundle\\Composer\\ScriptHandler::initializeApplication"
            ],
            "post-update-cmd": [
                "Contao\\ManagerBundle\\Composer\\ScriptHandler::initializeApplication"
            ]
        }
    }
    ---------------------------------
    Beste Grüße planepix
    Contao für Webdesigner (Website), Twitter: @contaowebdesign
    weitzeldesign
    Contao Schulungen: https://www.weitzeldesign.com/cms-co...chulungen.html
    Contao Jahrbuch: www.contao-jahrbuch.de
    Contao Agenturtag: www.contao-agenturtag.de
    Contao Stammtisch Stuttgart: www.contao-stammtisch-stuttgart.de
    Contao 4 Erfahrungen als Gitbook: https://planepix.gitbooks.io/erfahru...tao-4/content/
    Contao 4 & Manager Hosterhinweise: https://github.com/contao/contao-manager/wiki

    It's OpenSource. So invest with your code, your time to test and your support.

  17. #17
    Alter Contao-Hase Avatar von kmielke
    Registriert seit
    21.06.2009.
    Beiträge
    1.121
    User beschenken
    Wunschliste

    Standard

    Hallo,

    erstmal ein Danke an alle, die hier unterstützen. Ich habe das Problem auch nicht reproduzieren können. Bei mir liefen die Installationen sowohl unter der 4.4.x als auch der 4.7.x sauber durch.
    Gruß Kester

    Kein Support via PN.
    Und wer was spenden will, kann der gerne hier machen. Danke

  18. #18
    Contao-Urgestein Avatar von mlweb
    Registriert seit
    10.07.2011.
    Beiträge
    4.353
    Partner-ID
    7421

    Standard

    Kann ich bestätigen. Ich habe auch mehrere Installationen Contao 4.4 und Contao 4.7 mit [calendar-extended-bundle] laufen. Eigentlich immer problemlos und egal welche Erweiterungen ich da noch so im Einsatz hatte.
    Für Dinge die man mit html5 und css3 lösen kann, braucht man kein javascript.
    ------------------------------------------------------------------------------------------------------
    Contao-Dokumentation: Contao-Handbuch und Contao-Entwickler-Doku
    Contao-Online-Video-Kurse: Contao Academy
    Funktionalität erweitern: Contao-Erweiterungen



  19. #19
    Contao-Urgestein
    Registriert seit
    29.10.2009.
    Ort
    Magdeburg
    Beiträge
    1.942
    Partner-ID
    626
    User beschenken
    Wunschliste

    Standard

    Zitat Zitat von Samson1964 Beitrag anzeigen
    Weder 1.0.5 noch dev-master des Bundles funktionieren. Immer derselbe Fehler mit dem suspekten Toolkit von Netzmacht. Version 1.0.4 läßt sich nicht installieren, da der Composer keine Abhängigkeiten zum NC auflösen konnte.
    Es ist deine Sache, wenn du lieber manuell Develop-Versionen von Erweiterungen einsetzt, die nicht für Contao 4 unterstützt werden. Für mich zwar unverständlich, wenn es gerade wie in deinem Fall Alternativen gibt.

    Allerdings empfinde ich es als anmaßend, hier im Forum Support zu suchen und



    Um es nochmal klarzustellen:

    • Dein Fehler trat bisher nicht auf, weil du nicht alle erforderlichen Abhängigkeiten des manuell installierten Erweiterung TimelineJS installiert hattest
    • Durch die Installation von calendar_extended und dessen Abhängigkeiten (MultiColumnWizardBundles) wird letztlich eine der fehlenden Abhängigkeiten installiert (contao-community-alliance/event-dispatcher), die dann die Nichtfunktionalität der eingesetzten 3er Version offenbart.


    Um dieses Chaos zu vermeiden, gibt es die Abhängigkeitsverwaltung mit Composer. Wenn man den Weg bewusst umgeht, sollte man sich dessen im Klaren sein.

  20. #20
    Contao-Urgestein Avatar von Samson1964
    Registriert seit
    05.11.2012.
    Ort
    Berlin
    Beiträge
    2.462

    Standard

    Zitat Zitat von webstar Beitrag anzeigen
    Das liegt daran, weil der CM die entsprechenden Fehlermeldungen nicht anzeigt, obwohl der CM sie eigentlich kennen müßte. Würde dort gleich timelinejs mit angezeigt (wie es der Composer ja eigentlich auch tut, wie mir Spooky gezeigt hat), hätte ich nicht das Forum befragen und das calendar-extended-bundle verdächtigen müssen. Dann hätte sich der ganze Thread erledigt.
    Die Fehlermeldung vom CM lockt einen auf die falsche Spur. Der CM verdächtigte das calendar-extended-bundle und das Toolkit.
    Viele Grüße
    Frank

    Seit Mai 2013 Fan von Contao
    Webmaster vom Deutschen Schachbund und Berliner Schachverband
    Mein Blog: Schachbulle
    Meine Erweiterungen bei GitHub
    Meine Videos auf YouTube: Playlist zur Contao-Programmierung/Einrichtung

  21. #21
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    23.011
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Der Contao Manager verdächtig nichts. Die Fehlermeldungen kommen nicht vom Contao Manager.

Aktive Benutzer

Aktive Benutzer

Aktive Benutzer in diesem Thema: 1 (Registrierte Benutzer: 0, Gäste: 1)

Lesezeichen

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •